> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-generated-reference-full-stack-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v0/ans-entries

> Lists all non-expired ANS entries whose names are prefixed with the `name_prefix`, up to `page_size` entries.

<div class="x2mdx-ref-page x2mdx-ref-page--operation x2mdx-ref-page--manual-api" />

<div class="x2mdx-ref-hero">
  <p class="x2mdx-ref-summary">Lists all non-expired ANS entries whose names are prefixed with the `name_prefix`, up to `page_size` entries.</p>

  <div class="x2mdx-ref-badges">
    <span class="x2mdx-ref-badge x2mdx-ref-badge--protocol">OpenAPI</span>
  </div>
</div>

<RequestExample>
  ```bash cURL theme={"theme":{"light":"github-light","dark":"github-dark"}}
  curl --request GET \
    --url 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries'
  ```

  ```python Python theme={"theme":{"light":"github-light","dark":"github-dark"}}
  import json
  import requests

  url = "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries"
  response = requests.request("GET", url)

  print(response.text)
  ```

  ```javascript JavaScript theme={"theme":{"light":"github-light","dark":"github-dark"}}
  const response = await fetch('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries', {
    method: 'GET',
  });

  console.log(await response.text());
  ```

  ```php PHP theme={"theme":{"light":"github-light","dark":"github-dark"}}
  <?php
  $curl = curl_init();

  curl_setopt_array($curl, [
      CURLOPT_URL => 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries',
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_CUSTOMREQUEST => 'GET',
  ]);

  $response = curl_exec($curl);
  echo $response;
  ```

  ```go Go theme={"theme":{"light":"github-light","dark":"github-dark"}}
  package main

  import (
    "fmt"
    "io"
    "net/http"
  )

  func main() {
    req, _ := http.NewRequest("GET", "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries", nil)
    response, _ := http.DefaultClient.Do(req)
    defer response.Body.Close()
    body, _ := io.ReadAll(response.Body)
    fmt.Println(string(body))
  }
  ```

  ```java Java theme={"theme":{"light":"github-light","dark":"github-dark"}}
  import java.net.URI;
  import java.net.http.HttpClient;
  import java.net.http.HttpRequest;
  import java.net.http.HttpResponse;

  var request = HttpRequest.newBuilder()
      .uri(URI.create("https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries"))
      .method("GET", HttpRequest.BodyPublishers.noBody())
      .build();
  var response = HttpClient.newHttpClient().send(
      request, HttpResponse.BodyHandlers.ofString());
  System.out.println(response.body());
  ```

  ```ruby Ruby theme={"theme":{"light":"github-light","dark":"github-dark"}}
  require 'net/http'
  require 'uri'

  uri = URI('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries')
  request = Net::HTTP::Get.new(uri)
  response = Net::HTTP.start(uri.hostname, uri.port) do |http|
    http.request(request)
  end
  puts response.body
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={"theme":{"light":"github-light","dark":"github-dark"}}
  {
    "entries": [
      {
        "contract_id": "<string>",
        "user": "<string>",
        "name": "<string>",
        "url": "<string>",
        "description": "<string>",
        "expires_at": "2026-01-01T00:00:00Z"
      }
    ]
  }
  ```
</ResponseExample>

## Query parameters

<ParamField query="name_prefix" type="string">
  Every result's name will start with this substring; if empty or absent, all entries will be listed. Does not have to be a whole word or segment; any substring will be accepted.
</ParamField>

<ParamField query="page_size" type="number" required>
  OpenAPI type: <code>integer (int32)</code>.

  The maximum number of results returned. Older (but still non-expired) results are listed first.
</ParamField>

## Responses

### 200

ok

<div class="x2mdx-ref-badges">
  <span class="x2mdx-ref-badge x2mdx-ref-badge--neutral">application/json</span>
</div>

<ResponseField name="entries" type="AnsEntry[]" required>
  <Expandable title="child attributes">
    <ResponseField name="contract_id" type="string">
      If present, Daml contract ID of template `Splice.Ans:AnsEntry`. If absent, this is a DSO-provided entry for either the DSO or an SV.
    </ResponseField>

    <ResponseField name="user" type="string" required>
      Owner party ID of this ANS entry.
    </ResponseField>

    <ResponseField name="name" type="string" required>
      The ANS entry name.
    </ResponseField>

    <ResponseField name="url" type="string" required>
      Either empty, or an http/https URL supplied by the `user`.
    </ResponseField>

    <ResponseField name="description" type="string" required>
      Arbitrary description text supplied by `user`; may be empty.
    </ResponseField>

    <ResponseField name="expires_at" type="string (date-time)">
      Time after which this ANS entry expires; if renewed, it will have a new `contract_id` and `expires_at`. If `null` or absent, does not expire; this is the case only for special entries provided by the DSO.
    </ResponseField>
  </Expandable>
</ResponseField>
